<template>
    <div :class="$style.container">
        <o-table
            v-for="tableIndex in tableColumnsNumber"
            :key="tableIndex"
            :data="getDataForTable(tableIndex)"
            :bordered="true"
            striped
            :mobile-cards="false"
        >
            <o-table-column v-for="(column, idx) in columns" :key="idx" v-slot="{ row }" v-bind="column">
                {{ row[column.field] }}
            </o-table-column>
        </o-table>
        <!-- <o-table :data="data" :bordered="true" striped :mobile-cards="false">
            <o-table-column v-for="(column, idx) in columns" :key="idx" v-slot="{ row }" v-bind="column">
                {{ row[column.field] }}
            </o-table-column>
        </o-table> -->
    </div>
</template>

<script>
export default {
    name: 'TablesSection',

    props: {
        items: {
            type: Array,
            default: () => [],
        },
        columns: {
            type: Array,
            default: () => [],
        },
        tablesNumber: {
            type: Number,
            default: 3,
        },
    },

    data() {
        return {
            data: [
                {
                    id: 1,
                    first_name: 'Jesse',
                    last_name: 'Simmons',
                    date: '2016-10-15 13:43:27',
                    gender: 'Male',
                },
                {
                    id: 2,
                    first_name: 'John',
                    last_name: 'Jacobs',
                    date: '2016-12-15 06:00:53',
                    gender: 'Male',
                },
                {
                    id: 3,
                    first_name: 'Tina',
                    last_name: 'Gilbert',
                    date: '2016-04-26 06:26:28',
                    gender: 'Female',
                },
                {
                    id: 4,
                    first_name: 'Clarence',
                    last_name: 'Flores',
                    date: '2016-04-10 10:28:46',
                    gender: 'Male',
                },
                {
                    id: 5,
                    first_name: 'Anne',
                    last_name: 'Lee',
                    date: '2016-12-06 14:38:38',
                    gender: 'Female',
                },
            ],
            columns: [
                {
                    field: 'id',
                    label: 'ID',
                    width: '40',
                    numeric: true,
                },
                {
                    field: 'first_name',
                    label: 'First Name',
                },
            ],
        }
    },

    computed: {
        tableColumnsNumber() {
            return this.tablesNumber
        },
        rowsNumber() {
            return Math.ceil(this.items.length / this.tableColumnsNumber)
        },
    },

    methods: {
        getDataForTable(tableIndex) {
            const startIndex = tableIndex * this.rowsNumber
            return this.items.slice(startIndex, startIndex + this.rowsNumber)
        },
    },
}
</script>

<style lang="scss" module>
// @import '@/assets/styles/variables';
@import '@/assets/styles';

.container {
    display: flex;
    gap: 32px;

    table {
        border-collapse: collapse;
        border: 1px solid black;
        margin-right: 32px !important;
    }

    // td,
    // th {
    //     border: 1px solid black;
    // }
    th {
        @extend %text1;
        height: 56px !important;
        padding-top: 20px !important;
        padding-bottom: 0px !important;
        padding: 36px 0px 20px 12px;
    }

    td {
        @extend %text2;
        vertical-align: middle !important;
        height: 48px !important;
        padding: 8px 12px 8px 12px;
    }

    tr:nth-of-type(2n + 2) {
        background-color: #f8f7fb;
    }
}
</style>
